Raised This Month: $169 Target: $400
 42% 

[Editor] Sublime AMXX-Editor v2.2


Post New Thread Reply   
 
Thread Tools Display Modes
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 07-17-2018 , 08:24   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #111

That fixed the problems. Thanks.
__________________
OciXCrom is offline
Send a message via Skype™ to OciXCrom
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 07-17-2018 , 09:23   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #112

Actually, no. It started happening again.

__________________
OciXCrom is offline
Send a message via Skype™ to OciXCrom
addons_zz
Veteran Member
Join Date: Aug 2015
Location: Dreams, zz
Old 07-17-2018 , 09:32   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #113

Perhaps the package name is case sensitive? You can try adding both variations to the ignore list: "amxmodx", "Amxmodx"

Or try completely disabling the Package Control upgrades. Just add this setting to its file: "auto_upgrade": false,

You can check the Sublime Text console for diagnostic messages. You can open it by going on the menu `View -> Show Console`
__________________
Plugin: Sublime Text Studio , Galileo
Multi-Mod: Manager / Plugin / Server

Help the AlliedModders' website stay online!
addons_zz is offline
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 07-17-2018 , 09:43   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #114

Nope, nothing changed. I added both "Amxmodx" and "amxmodx". It's interesting though that if I add the package as "amxmodx" it doesn't even register it, but it works as "Amxmodx". The console says only this:

PHP Code:
xml.etree.ElementTree.ParseErrornot well-formed (invalid token): line 1column 0
error
The settings file "res://Packages/amxmodx/amxx.sublime-settings" could not be opened
Package Control
Skipping automatic upgradelast run at 2018-07-17 14:22:32next run at 2018-07-17 15:22:32 or after 
I can't even click the "Edit Settings" button in the AMXX toolbar - it gives the error above.
__________________
OciXCrom is offline
Send a message via Skype™ to OciXCrom
addons_zz
Veteran Member
Join Date: Aug 2015
Location: Dreams, zz
Old 07-17-2018 , 14:54   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #115

Did you reinstalled the package after adding it to the `auto_upgrade_ignore` setting?
__________________
Plugin: Sublime Text Studio , Galileo
Multi-Mod: Manager / Plugin / Server

Help the AlliedModders' website stay online!
addons_zz is offline
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 07-17-2018 , 15:35   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #116

Yes, about 10 times actually. I keep reinstalling it every time I restart my computer because the errors won't go away. The auto_upgrade_ignore setting is there all the time with both amxmodx and Amxmodx values.

PHP Code:
{
    
"auto_upgrade_ignore":
    [
        
"Amxmodx",
        
"amxmodx"
    
],
    
"bootstrapped"true,
    
"in_process_packages":
    [
    ],
    
"installed_packages":
    [
        
"Amxmodx",
        
"Color Highlight",
        
"Color Highlighter",
        
"Package Control"
    
]

__________________

Last edited by OciXCrom; 07-17-2018 at 15:35.
OciXCrom is offline
Send a message via Skype™ to OciXCrom
addons_zz
Veteran Member
Join Date: Aug 2015
Location: Dreams, zz
Old 07-17-2018 , 15:53   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #117

Try removing `Amxmodx` from the `installed_packages` setting. Then reinstall it. You do not need to restart the computer, you can just close Sublime Text and delete:
  1. The directory `Packages/User/Package Control.cache`
  2. And the file `Packages/User/Package Control.last-run`

If still not working, it seems you are hitting a bug on Package Control. To help figure things out, you can enable the debug mode for package control: https://packagecontrol.io/docs/troubleshooting#Enabling_the_Debug_Log
__________________
Plugin: Sublime Text Studio , Galileo
Multi-Mod: Manager / Plugin / Server

Help the AlliedModders' website stay online!
addons_zz is offline
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 07-17-2018 , 15:56   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #118

I'll try using your version and see if I have any problems with it. I'm talking about the one available for download through the Package Control.
__________________
OciXCrom is offline
Send a message via Skype™ to OciXCrom
addons_zz
Veteran Member
Join Date: Aug 2015
Location: Dreams, zz
Old 07-18-2018 , 15:01   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #119

Indeed, everything is correct. I just repeated the same steps here. It is a bug on Package Control. This the log from the Sublime Text on the first time I opened Sublime Text:
Code:
plugins loaded
ignored packages updated to: ["amxmodx", "Vintage"]
reloading settings Packages/amxmodx/amxx.sublime-settings
ignored packages updated to: ["amxmodx", "Amxmodx", "Vintage"]
generating syntax summary
generating meta info summary
reloading settings Packages/User/Package Control.sublime-settings
reloading settings Packages/User/Package Control.sublime-settings
reloading settings Packages/User/Preferences.sublime-settings
error: The settings file "res://Packages/amxmodx/amxx.sublime-settings" could not be opened
unloading plugin amxmodx.AMXXEditor
Package Control: Renamed amxmodx to Amxmodx
Package Control: No updated packages
ignored packages updated to: ["amxmodx", "Vintage"]
ignored packages updated to: ["Vintage"]
reloading settings Packages/User/Package Control.sublime-settings
reloading settings Packages/User/Preferences.sublime-settings
reloading settings Packages/amxmodx/amxx.sublime-settings
reloading plugin amxmodx.AMXXEditor
generating syntax summary
generating meta info summary
reloading settings Packages/User/Package Control.sublime-settings
reloading settings Packages/User/Preferences.sublime-settings
Unable to open /C/Users/Professional/AppData/Roaming/Sublime Text 3/Packages/amxmodx/amxx.sublime-settings
Unable to open /C/Users/Professional/AppData/Roaming/Sublime Text 3/Packages/amxmodx/amxx.sublime-settings
reloading settings Packages/amxmodx/amxx.sublime-settings
reloading settings Packages/User/Preferences.sublime-settings
generating syntax summary
generating meta info summary
reloading plugin Amxmodx.AMXXEditor
Traceback (most recent call last):
  File "D:\User\Programs\SublimeText\3176\sublime_plugin.py", line 116, in reload_plugin
    m = importlib.import_module(modulename)
  File "./python3.3/importlib/__init__.py", line 90, in import_module
  File "<frozen importlib._bootstrap>", line 1584, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1565, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1512, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 313, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1584, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1565, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1529, in _find_and_load_unlocked
ImportError: No module named 'Amxmodx'
generating syntax summary
generating meta info summary
Traceback (most recent call last):
  File "D:\User\Programs\SublimeText\3176\sublime_plugin.py", line 1005, in run_
    return self.run(**args)
TypeError: run() got an unexpected keyword argument 'default'
unloading plugin amxmodx.AMXXEditor
reloading /C/Users/Professional/AppData/Roaming/Sublime Text 3/Packages/User/Package Control.sublime-settings
Package Control is ignoring the setting `auto_upgrade_ignore` and is renaming the `amxmodx` anyways. I opened a bug report on its issue tracker:

https://github.com/wbond/package_control/issues/1370 Package Control is renaming packages on auto_upgrade_ignore setting
__________________
Plugin: Sublime Text Studio , Galileo
Multi-Mod: Manager / Plugin / Server

Help the AlliedModders' website stay online!
addons_zz is offline
olotfi
New Member
Join Date: Aug 2018
Old 08-07-2018 , 08:15   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #120

in the include folder i saw 3 inc which ones needs to make other plugins? Discord Adobe Reader iTunes

Last edited by olotfi; 08-08-2018 at 19:55.
olotfi is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 12:07.


Powered by vBulletin®
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Theme made by Freecode